directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From akaras...@apache.org
Subject svn commit: r428243 - /directory/branches/shared/0.9.5/ldap/src/main/java/org/apache/directory/shared/ldap/codec/bind/BindRequestGrammar.java
Date Thu, 03 Aug 2006 05:39:32 GMT
Author: akarasulu
Date: Wed Aug  2 22:39:32 2006
New Revision: 428243

URL: http://svn.apache.org/viewvc?rev=428243&view=rev
Log:
Commenting out code that attempts to make protocol decisions inside
the codec which cannot appropriately respond to an improper request
due to limits of the DecoderException.

Modified:
    directory/branches/shared/0.9.5/ldap/src/main/java/org/apache/directory/shared/ldap/codec/bind/BindRequestGrammar.java

Modified: directory/branches/shared/0.9.5/ldap/src/main/java/org/apache/directory/shared/ldap/codec/bind/BindRequestGrammar.java
URL: http://svn.apache.org/viewvc/directory/branches/shared/0.9.5/ldap/src/main/java/org/apache/directory/shared/ldap/codec/bind/BindRequestGrammar.java?rev=428243&r1=428242&r2=428243&view=diff
==============================================================================
--- directory/branches/shared/0.9.5/ldap/src/main/java/org/apache/directory/shared/ldap/codec/bind/BindRequestGrammar.java
(original)
+++ directory/branches/shared/0.9.5/ldap/src/main/java/org/apache/directory/shared/ldap/codec/bind/BindRequestGrammar.java
Wed Aug  2 22:39:32 2006
@@ -159,12 +159,12 @@
                     {
                         int version = IntegerDecoder.parse( value, 1, 127 );
 
-                        if ( version != 3 )
-                        {
-                            log.error( "The version {} is invalid : it must be 3", new Integer(
version ) );
-
-                            throw new DecoderException( "Ldap Version " + version + " is
not supported" );
-                        }
+                        // will handle this in higher layers: bind handler
+//                        if ( version != 3 )
+//                        {
+//                            log.error( "The version {} is invalid : it must be 3", new
Integer( version ) );
+//                            throw new DecoderException( "Ldap Version " + version + " is
not supported" );
+//                        }
 
                         if ( IS_DEBUG )
                         {



Mime
View raw message